---
title: Art polyvalent : Nifflas
date: 2015-08-16
author: raspbeguy
template: post
tags: 8 bits,art,art,chiptune,indie game,jeu,jeu independant,jeux vidéos,linux,mac,musique,pixels,windows
---

Je vais vous parler un artiste développeur suédois que je suis depuis pas mal de temps.

Nicklas Nygren, alias [Nifflas](http://nifflas.ni2.se/), est principalement développeur de jeux vidéos, pour la plupart simplistes mais dotés de très bons _gameplays_. Ses jeux sont très jolis et prenants.

Du point de vue des histoires de fond, l'action se situe souvent dans des mondes dépourvus d'humains ou bien post-apocalyptiques dans lesquels des créatures de la nature on repris le contrôle de la terre, ce qui accentue le caractère poétique de ces ouvrages.

_[Within A Deep Forest](http://nifflas.ni2.se/?page=Within+a+Deep+Forest)_ est sans conteste l'un de ses jeux les plus novateurs en termes de _gameplay_. Vous y incarnez une petite balle dont vous devez maîtriser les rebonds en leur donnant plus ou moins de force et en changeant le matériau constituant la balle. Les matériaux sont progressivement gagnés en accomplissant des quêtes proposées par les différents PNJs et se déroulant dans des univers propres. Le design est très simpliste, tout en pixels apparents et et 2D vue de profil.

![Capture de WADF](%assets_url%/2015/08/wadf.png)

WADF : Dans la nature, obstacles à franchir. Très esthétique.

L'un de mes jeux préférés de Nifflas est [_Knytt_](http://nifflas.ni2.se/?page=Knytt), toujours en 2D et aux pixels grossiers. Le principe est simple, vous incarnez une petite créature perdue sur un terrain inconnu, et vous devez explorer une carte pour retrouver des pièces de votre vaisseau spatial pour pouvoir retourner chez vous.

![Capture d'écran de Knytt](%assets_url%/2015/08/knytt.png)

Knytt : Design simple, carte simple, ambiance simple. Tout est dans la simplicité.

Vos seules interactions sont vos déplacement. En dehors du gauche/droite vous pouvez littéralement grimper aux murs (tous les murs) et sauter.

Notons que Nifflas a ensuite développé [_Knytt Stories_](http://nifflas.ni2.se/?page=Knytt+Stories), la "suite" de _Knytt_, avec un personnage différent, une carte bien plus vaste et une histoire un peu plus poussée, même si le design et l'ambiance restent identiques. Il y est introduit de nouveaux pouvoirs à gagner au fil du jeu comme le double saut, le leurre holographique et l'ombrelle qui permet de tomber moins vite. Le jeu comprend également un éditeur de niveau ce qui permettait à tous les joueurs de proposer leurs propres niveaux, ce qui donnait potentiellement au jeu une durée de vie infinie.

Plus récemment, une refonte totale du jeu a été faite, baptisée _[Knytt Underground](http://nifflas.ni2.se/?page=Knytt+Underground)_, avec des graphismes nettement plus léchés, une carte immense, une vraie histoire de fond et une multitude de quêtes. Le plus intéressant dans ce jeu est qu'il mêle les _gameplays_ de _Knytt_ et de _Within A Deep Forest_ : le joueur, passé un certain niveau, peut choisir à tout moment de permuter entre la petite créature grimpante et la balle bondissante, ce qui permet des possibilités de jeu assez incroyables.

https://youtu.be/93N2mUtGESo

Nifflas a également développé pas mal de jeux expérimentaux. Beaucoup de jeux dont le développement a été arrêté, mais dont les travaux en cours peuvent être téléchargé en fouillant [sur son site](http://nifflas.ni2.se/). Heureusement, certains de ces jeux expérimentaux sont complets, notamment le fantastique _7 Nanocyles_, qui repose sur deux petits jeux précédents, et très très prenant. Dans ce jeu en 3D très abstrait, vous devez vous déplacer dans l'espace en étant soumis aux lois de la gravité lorsque vous êtes en dehors de certaines zones fermées, qui vous permettent de voler dans l'importe quelle direction lorsque vous êtes à l'intérieur. C'est assez subtil à expliquer mais simple à comprendre, regardez plutôt la vidéo suivante :

https://youtu.be/Y5Z82NX6RAk

* * *

Nifflas compose également beaucoup de musique, une bonne partie pour ses jeux. 

<iframe src="https://w.soundcloud.com/player/?visual=true&amp;url=https%3A%2F%2Fapi.soundcloud.com%2Fusers%2F1211266&amp;show_artwork=true" width="100%" height="450" frameborder="no" scrolling="no"></iframe>

Musique électronique très abstraite et évasive. Très apaisante si vous voulez mon avis.

Nifflas collabore également avec beaucoup d'autres artistes pour les musiques de ses jeux. Je parlerai de certains de ces autres artistes dans des articles ultérieurs, parce qu'il le méritent également.

Voilà, je vous laisse découvrir l'ensemble de ses œuvres (il y en a tellement) sur son site, [c'est par ici](http://nifflas.ni2.se/).

Dernière chose : La plupart des jeux de Nifflas sont gratuits. Les derniers jeux PC sont compatibles Windows, Mac et Linux. Les jeux anciens ne sont compilés que pour Windows, mais ils passent très bien dans Wine sur Mac ou Linux.
