---
title: Liens utiles hashtagueule 1
date: 2016-02-16
author: motius
template: post
tags: hashtagueule,hosts,latex,lilypond,non classé
---

Bonjour à tous !

Le partage c'est quand même vachement utile, et grâce à notre [despote](https://fr.wikipedia.org/wiki/Benevolent_Dictator_for_Life) adminsys en chef raspbeguy, on va pouvoir le faire ici ! En effet comme Hashtagueule dispose de son propre serveur git + interface web [Gogs](http://gogs.io), on peut y mettre du code.

C'est ce que j'ai fait [là](https://git.hashtagueule.fr/motius/htg-public), qui sera un dépôt public de codes en tout genre. À ce jour, il y a :

- mon fichier /etc/[hosts](https://en.wikipedia.org/wiki/Hosts_%28file%29) des serveurs auxquels je ne veux pas que mon ordinateur puisse se connecter. Sous windows, il s'agit du fichier [%SystemRoot%](https://en.wikipedia.org/wiki/Environment_variable#Windows "Environment variable")\\System32\\drivers\\etc\\host.
- Un template pour mes rapports en LaTeX (et bientôt un autre pour les présentations, j'espère).
- Le fichier source Lilypond du premier mouvement du concerto italien de JS Bach, prêt à compiler avec la commande lilypond.

Petite explication avant de vous laisser : le fichier hosts est un fichier de résolution DNS statique. Par exemple si votre ordinateur veut se connecter à www.example.org, il faut en obtenir l'adresse IP. Cela passe par un mécanisme simple :

- résolution statique : mon ordinateur sait-il quelle est l'IP du serveur ?
    - Est-ce dans le cache ?
    - Est-ce dans le fichier hosts ?
- résolution dynamique : l'ordinateur va lancer des requêtes DNS :
    - avec son propre serveur s'il en a un, et qu'il est prioritaire ;
        - le serveur va effectuer les requêtes (où se trouvent les serveurs qui font autorité pour la zone org., où se trouve example.org., où se trouve www.example.org.).
    - en demandant à un serveur DNS tiers (généralement celui de votre FAI, mais vous pouvez changer.)

Seulement voilà : si vous remplissez vous-même le fichier hosts avec des fausses info, ça ne va plus marcher très bien. Ici mon fichier hosts prétend connaître l'adresse d'environ 31000 serveurs sur "internet", et affirme que leur adresse est 0.0.0.0 (ou 127.0.0.1 en IPv4, ::1 ou ::0 en IPv6), qui n'est pas valide (au sens routage du terme, il s'agit d'une IP valide sans cela). Du coup votre ordinateur ne va tout simplement pas rechercher le bout de page web/service  demandé. S'il s'agit d'une ressource que vous voulez, c'est dommage, mais s'il s'agit d'un site hébergeant --- au hasard --- des malwares/de la pub/des trackers ? Ça allège la navigation.

N'hésitez pas à commenter, à linker vers des ressources utiles, à vous [abonner](https://support.mozilla.org/en-US/kb/live-bookmarks?redirectlocale=en-US) à notre flux RSS (on ne polluposte pas trop, vous le voyez). À bientôt !

_Motius_
